package org.jeecg.modules.diseaseAnalysis.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.diseaseAnalysis.dto.AnalysisLineBatchDTO;
import org.jeecg.modules.diseaseAnalysis.dto.AnalysisLineBatchInfoDTO;
import org.jeecg.modules.diseaseAnalysis.dto.EkRecordsMasterCheckDTO;
import org.jeecg.modules.diseaseAnalysis.entity.AnalysisLineBatch;
import org.jeecg.modules.diseaseAnalysis.mapper.AnalysisLineBatchMapper;
import org.jeecg.modules.diseaseAnalysis.service.IAnalysisLineBatchService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.diseaseAnalysis.vo.*;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 线路质量分析	-分析批次表 服务实现类
 * </p>
 *
 * @author hkl
 * @since 2024-07-19
 */
@Service
public class AnalysisLineBatchServiceImpl extends ServiceImpl<AnalysisLineBatchMapper, AnalysisLineBatch> implements IAnalysisLineBatchService {
    /**
     * 线路质量分析-其他病害分析-检查记录-分页列表查询
     * @param pageData
     * @param dto
     * @return
     */
    @Override
    public Page<EkRecordsMasterCheckVO> queryPageEkList(Page<EkRecordsMasterCheckVO> pageData, EkRecordsMasterCheckDTO dto) {
        return this.baseMapper.queryPageEkList(pageData, dto);
    }

    /**
     * 线路质量分析-其他病害分析-线路巡查检查记录-分页列表查询
     * @param pageData
     * @param dto
     * @return
     */
    @Override
    public Page<EkRecordPatrolMasterVO> queryPageEkPatrolList(Page<EkRecordPatrolMasterVO> pageData, EkRecordsMasterCheckDTO dto) {
        return this.baseMapper.queryPageEkPatrolList(pageData, dto);
    }
    /**
     * 线路质量分析-其他病害分析-分页列表查询
     * @param pageData
     * @param dto
     * @return
     */
    @Override
    public Page<AnalysisLineBatchVO> getPageList(Page<AnalysisLineBatchVO> pageData, AnalysisLineBatchDTO dto) {
        return this.baseMapper.getPageList(pageData, dto);
    }

    /**
     * 获取分析批次对应得检查批次信息
     * @param analysisLineBatchIds 分析批次id集合
     * @return
     */
    @Override
    public List<AnalysisLineBatchCheckDataMapVO> listRecordDetail(List<String> analysisLineBatchIds) {
        return this.baseMapper.listRecordDetail(analysisLineBatchIds);
    }

    /**
     * 线路质量分析-其他病害分析-详情查询-分页列表查询
     * @param pageData
     * @param dto
     * @return
     */
    @Override
    public Page<AnalysisLineBatchUnitDeviceVO> getInfoPageList(Page<AnalysisLineBatchUnitDeviceVO> pageData, AnalysisLineBatchInfoDTO dto) {
        return this.baseMapper.getInfoPageList(pageData,dto);
    }
    /**
     * 线路质量分析-其他病害分析-详情检查记录查询
     * @param analysisBatchId 分析批次id
     * @param ekId 检查批次id
     * @param deviceId 线路质量分析-其他病害分析-单元表id
     * @return
     */
    @Override
    public List<AnalysisLineBatchUnitDeviceTurnoutInfoVO> getAnalysisLineBatchUnitEkInfoList(String analysisBatchId, String ekId, String deviceId) {
        return this.baseMapper.getAnalysisLineBatchUnitEkInfoList(analysisBatchId,ekId,deviceId);
    }
}
