package org.jeecg.modules.maintenanceWork.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 维修作业管理-作业计划批次管理表
 * </p>
 *
 * @author hkl
 * @since 2023-08-09
 */
@Data
@ApiModel(value = "WorkBatchSaveOrUpdateDTO对象", description = "维修作业管理-作业计划批次管理表")
public class WorkBatchTransfiniteSaveDTO {

    private static final long serialVersionUID = 1L;

    private String id;

    @ApiModelProperty("作业计划批次号")
    private String workBatchCode;

    @ApiModelProperty("所属线路id")
    private String lightRailId;

    @ApiModelProperty("所属线路名称")
    private String lightRailName;

    @ApiModelProperty("所属线别id")
    private String lineAliasId;

    @ApiModelProperty("所属线别名称")
    private String lineAliasName;

    @ApiModelProperty("作业终止时间")
    private Date workStartTime;

    @ApiModelProperty("作业终止时间")
    private Date workEndTime;

    @ApiModelProperty("作业起始里程")
    private BigDecimal workStartMileage;

    @ApiModelProperty("作业终点里程")
    private BigDecimal workEndMileage;

    @ApiModelProperty("作业班组")
    private String team;

    @ApiModelProperty("派工列表")
    private List<DispatchDTO> detailList;
}
